## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/inputdef.h File Reference

Crystal Space input library. More...

`#include "csextern.h"`
`#include "csutil/csstring.h"`
`#include "csutil/comparator.h"`
`#include "csutil/hash.h"`
`#include "iutil/evdefs.h"`
`#include "iutil/event.h"`

Go to the source code of this file.

## Classes

class | csComparator< csInputDefinition, csInputDefinition >
| csComparator<> specialization for csInputDefinition to allow its use as e.g. More...
class | csHashComputer< csInputDefinition >
| csHashComputer<> specialization for csInputDefinition to allow its use as hash key type. More...
class | csInputDefinition
| This class holds a description of a physical source of input events, such as a keyboard key, mouse or joystick button, or a mouse or joystick axis. More...

## Detailed Description

Crystal Space input library.

Definition in file inputdef.h.